///////////////////////////////////////////////////
//
// Object to get Sprites
//
///////////////////////////////////////////////////

#ifndef _TPG_SPRI_HPP_
#define _TPG_SPRI_HPP_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ACP_Base.h"

class TPG_Sprite
{
public:
	TPG_Sprite( CString, ACP_tdxHandleOfSprite _hSprite = NULL );
	~TPG_Sprite();

	CString m_pub_fn_csGetName() { return m_pri_csName; }
	BOOL m_pub_fn_bIsNotLoaded() { return (m_pri_hSprite == NULL); }
	ACP_tdxHandleOfSprite m_pub_fn_hGetSprite();

	void m_pub_fn_vLoadSprite();

private:
	CString m_pri_csName;
	ACP_tdxHandleOfSprite m_pri_hSprite;
};



#endif //_TPG_SPRI_HPP_